Subject: Re: [PATCH net-next 1/4] bnx2x: LSO code was broken on BE platforms

From: Ben Hutchings <[email-masked]>
Date: Sun, 12 Dec 2010 04:14:53 +0000

On Wed, 2010-12-08 at 13:43 +0200, Vladislav Zolotarov wrote:
> Make the LSO code work on BE platforms: parsing_data field of 
> a parsing BD (PBD) for 57712 was improperly composed which made FW read wrong 
> values for TCP header's length and offset and, as a result, the corresponding 
> PCI device was performing bad DMA reads triggering EEH.
[...]

This fix looks like it should go into the stable/longterm series.  Since
this driver has changed a lot since 2.6.32, you would need to provide a
backported patch for that.

Ben.

-- 
Ben Hutchings, Debian Developer and kernel team member